# $Revision: 1.15 $, $Date: 2009/02/27 21:34:31 $
Summary:	GNU RTP stack for the zrtp protocol specification
Summary(pl.UTF-8):	Stos GNU RTP dla specyfikacji protokołu zrtp
Name:		libzrtpcpp
Version:	1.4.3
Release:	1
License:	GPL v3+
Group:		Libraries
Source0:	http://ftp.gnu.org/gnu/ccrtp/%{name}-%{version}.tar.gz
# Source0-md5:	84386a596578a7c0c92c7b999a7f16f0
Patch0:		%{name}-build.patch
URL:		http://wiki.gnutelephony.org/index.php/GNU_ccRTP
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	ccrtp-devel >= 1.7.1
BuildRequires:	commoncpp2-devel >= 1.7.1
BuildRequires:	doxygen
BuildRequires:	libgcrypt-devel >= 1.2.3
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is a GPL licensed extension to the GNU RTP Stack, ccrtp,
that offers compatibility with Phil Zimmermann's zrtp/Zfone voice
encryption, and which can be directly embedded into telephony
applications.

%description -l pl.UTF-8
Ta biblioteka jest licencjonowanym na GPL rozszerzeniem stosu GNU RTP
- ccrtp - oferującym kompatybilność z szyfrowaniem głosu zrtp/Zfont
Phila Zimmermanna i mogącym być bezpośrednio włączone do aplikacji
telefonicznych.

%package devel
Summary:	Header files for libzrtpcpp library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libzrtpcpp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	ccrtp-devel >= 1.5.1
Requires:	commoncpp2-devel >= 1.3.0
Requires:	libgcrypt-devel >= 1.2.3
Requires:	libstdc++-devel

%description devel
Header files for libzrtpcpp library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libzrtpcpp.

%package static
Summary:	Static libzrtpcpp library
Summary(pl.UTF-8):	Statyczna biblioteka libzrtpcpp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libzrtpcpp library.

%description static -l pl.UTF-8
Statyczna biblioteka libzrtpcpp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README
%attr(755,root,root) %{_libdir}/libzrtpcpp.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libzrtpcpp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libzrtpcpp.so
%{_libdir}/libzrtpcpp.la
%{_includedir}/libzrtpcpp
%{_pkgconfigdir}/libzrtpcpp.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libzrtpcpp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libzrtpcpp.spec,v $
Revision 1.15  2009/02/27 21:34:31  arekm
- up to 1.4.3

Revision 1.14  2008/12/19 21:23:13  arekm
- up to 1.4.1

Revision 1.13  2008/08/23 11:26:18  qboosh
- unified ftp.gnu.org URL

Revision 1.12  2008/08/23 11:10:06  arekm
- release 2

Revision 1.11  2008/08/23 11:08:25  arekm
- up to 1.3.0

Revision 1.10  2008-04-08 08:24:53  glen
- unify ftp.gnu.org urls

Revision 1.9  2008-01-29 19:29:49  qboosh
- more BRs and devel deps
- more verbose files, ghost soname symlink
- GPL v3 now

Revision 1.8  2008-01-23 19:32:21  qboosh
- BR: ac,am,lt

Revision 1.7  2008-01-16 07:41:28  arekm
- up to 1.0.0

Revision 1.6  2008-01-07 16:11:26  glen
- rel 3

Revision 1.5  2007-02-13 06:46:52  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:45  baggins
- converted to UTF-8

Revision 1.3  2007/01/02 11:07:12  arekm
- rel 2

Revision 1.2  2006/11/14 23:47:34  qboosh
- pl

Revision 1.1  2006/11/10 11:10:48  arekm
- new
